**`ARIHANT JAIN`[NAME]** -NL- 29/44 5th cross road, -NL- **`ajarihant13@gmail.com`[EMAILS_EMAIL]** -NL- 1stfloor, Wilson Garden -NL- Near Zettaone Technology, -NL- Bangalore (Karnataka) -NL- Mobile : 0**`7406912050`[PHONES_PHONE]**/**`8892247334`[PHONES_PHONE]** -NL- **`SUMMARY:`[SUMMARY_HEADING]** -NL-  Over 5 years of extensive experience in design & development of Enterprise applications -NL- using JAVA / J2EE technologies -NL-  Strong technical experience in Java/J2EE and Data Structure. -NL-  Experience in implementing solutions using Java/J2EE solutions. -NL-  Skillful in administering projects and ensuring timely completion of the same. -NL-  Exposure in end-to-end development of software products from requirement analysis to -NL- system study, designing, coding testing, debugging, implementation. -NL-  Good programming skills using frameworks Hibernate. -NL-  Detail Oriented Multitask candidate with Strong Organizational, strong troubleshooting and -NL- problem solving skills. -NL-  Enthusiastic learner with quickly grasping new concepts and technical skills. -NL-  Good working knowledge on Micro services, Putty, WinSCP & RAD IDE, JBoss, WAS -NL- and AWS servers. -NL-  Hand on experience in Eclipse as coding tool, MAVEN and ANT as build tool and LOG-4J -NL- For Logging. -NL- Areas of Experience - Technical Skills -NL- Lagunages : Java, J2EE, SQL, XML, HTML -NL- Web Development : -NL- SERVLET, JSP, ZK Framework, Spring MVC, Ajax, AngularJS 1.x -NL- Micro services : Spring Boot -NL- ORM : Hibernate 3.x. -NL- Database : Oracle, MySQL,MongoDB -NL- Servers : Tomcat, JBoss 5.1.0 GA, WAS Server, AWS Server -NL- IDE : Eclipse, RAD -NL- **`Qualification`[EDUCATION_HEADING]** -NL-  **`MCA`[EDUCATION_DEGREE]** in **`Computer Application`[EDUCATION_COURSE]** from **`L.N.C.T. Bhopal `[EDUCATION_INSTITUTE]**(M.P.) with 73.53% (2009 – -NL- 2012). -NL-  B.C.A from **`Advance College OF Computer (S.M.U)`[EDUCATION_INSTITUTE]**, Jabalpur (2008). -NL-  **`Higher Secondary School`[EDUCATION_DEGREE]** (XII) from **`S.H.S School `[EDUCATION_INSTITUTE]**(MP Board), Jabalpur (2005). -NL-  **`High School`[EDUCATION_DEGREE]** (X) from **`S.H.S School `[EDUCATION_INSTITUTE]**(MP Board), Jabalpur (2003). -NL- - 1 - -NL- **`ARIHANT JAIN`[NAME]** -NL- Total Experience: 5 years -NL- Organizations: -NL-  **`E-Cosmos Solutions`[EMPLOYER_COMPANY_NAME]** [Sept 2014 - Jan-2016] -NL-  **`Harman Connected Services`[EMPLOYER_COMPANY_NAME]** [Mar 2016-May 2017 ] -NL-  **`Accion Labs `[EMPLOYER_COMPANY_NAME]**[Jun 2017- Current] -NL- Designation : **`Software Engineer`[EMPLOYER_ROLE]** -NL- Organization : **`Accion Labs `[EMPLOYER_COMPANY_NAME]**-NL- Role : Backend Engineer -NL- 1. -NL- Project Title : **`Kala Market Place`[PROJECT_TITLE]** -NL- Client : **`Kala Inc`[PROJECT_COMPANY_NAME]**. -NL- Environment : -NL- Java, J2EE, Spring Boot, AWS(Elastic Beanstalk) ,Mongo DB -NL- Role : Backend Engineer -NL- Description : Kala marketplace is a unique platform which brings e- -NL- commerce and social networking together. Kala platform has -NL- unique features such as “Get offer” from sellers where -NL- consumers can bid for individual products sold in the -NL- marketplace. Consumers can also share feedback on their -NL- purchases within their social network. -NL- Responsibilities: -NL-  Development from scratch. -NL-  Work on Microservice-based architectures -NL-  Deploy code in AWS -NL-  Work on MongoDB using Spring Repository. -NL- 2. -NL- Project Title : **`Extract On Demand`[PROJECT_TITLE]** -NL- Client : **`IRI (A Market Research Company)`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java, J2EE, Spring, JSP, Angular JS, RAD, WAS 7.0 Server, Oracle -NL- Role : Developer & Designer -NL- Description : EOD feature allows a user to set up a large cell counts (i.e. 5 -NL- million or Threshold cell counts limit) report, which will render -NL- once the EOD Report refresh will complete. User can choose -NL- web download or sftp to extractfile. -NL-  A Demon program will running in background to pick the entries from table as per the -NL- configurations and push the entries to Log table to start the refresh process. -NL-  Quartz Scheduler – scheduler will pick up the job from the queue table mentioned and -NL- a thread will be initiated for program execution. -NL- - 2 - -NL- **`ARIHANT JAIN`[NAME]** -NL-  An AS connection pool will be used to maintain the no of connections per AS server -NL- per user/client level. -NL-  Table will contain all the threshold parameters and values for Default and individual -NL- clients Ex: ReportCellCountThreshold, License Key etc. -NL-  Once the threshold check is successful and AS connection is available the job is -NL- pushed into Log table for tracking purpose which will help us in tracking the execution -NL- status. -NL-  Report processing will be started by calling the web service along with report id and -NL- userid to fetch the report XQL. -NL-  Service output parameters are checked against its thresholds and on valid process -NL- will be continued or else job will be stopped with valid status. -NL-  Then the XQL is formatted and XQL isfired in chunks to AS server -NL-  Once the entire process is completed, we are merging all the outputfiles in one single -NL- file and itsfile path is sent to the download link. -NL-  Upon successful completion of report refresh, these reports can be downloaded from -NL- download site and output format will be CSV. -NL- Responsibilities: -NL-  Development from scratch. -NL-  Writing Build Script for deployment. -NL-  Work on end to end development -NL-  Writing SQL queries and business logic. -NL- 3. -NL- Project Title : **`Knowledge Bank Map`[PROJECT_TITLE]** -NL- Client : **`IRI World`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java, J2EE, Servlet, JSP, Angular JS, REST, RAD, WAS 7.0 Server, -NL- Oracle -NL- Role : Developer & Designer -NL- Description : **`Knowledge Bank Map`[PROJECT_TITLE]** is proposed to be a web application -NL- which showing number of item sales in US Map in different -NL- region in US. It shall show data on the basis of different -NL- Outlets, Chains and year. -NL- Responsibilities: -NL-  Development and bugfixing in Production -NL-  Implemented Single Sign-out for multiple Applications. -NL-  Writing Filter for Authentication and Authorization -NL-  Writing Build Script for deployment. -NL-  Writing SQL queries and business logic. -NL- 4. -NL- Project Title : **`Database Manager`[PROJECT_TITLE]** -NL- Client : **`IRI (A Market Research Company)`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java, J2EE, JSP, JS, Ajax, RAD, WAS 7.0 Server, Oracle -NL- Role : Developer & Designer -NL- - 3 - -NL- **`ARIHANT JAIN`[NAME]** -NL- Description : DB Manager is proposed to be a web application interface -NL- system. It shall provide tools for govern settings, which allow -NL- you to set limits on the number of dimension values for -NL- reports, graphs and custom aggregates. Modify dimension -NL- names to create more meaningful names. Change attribute -NL- names for consistency throughout pick lists. -NL-  The system displays an alert message to the user, from which the user chooses either -NL- to use long or short attribute values to provide for new medium components. -NL-  The system displays the Working Set screen. -NL-  The user selects the dimension with which the user wants to work. -NL-  The user can select the names option radio button. This selection largely determines -NL- the size and identity of the working set. -NL-  A description of the working set the user is defining appears in the screen. The -NL- description includes the number of names in the working set. -NL-  The user click on ‘OK’ to define and save the working set. -NL-  The user can click on ‘Cancel’ to choose not to save the working set and start the -NL- process of defining the working set all over again by choosing a different dimension -NL- name -NL- Responsibilities: -NL-  Development and bugfixing in Production -NL-  Writing Build Script for deployment. -NL-  Writing SQL queries and business logic. -NL-  Peer review of other developers code. -NL- 5. -NL- Project Title : **`Dr. Kare Version 2.0 (Product MU 2.0 -NL- Certified)`[PROJECT_TITLE]** -NL- Environment : -NL- Java, J2EE, Eclipse, JBoss 5.1.0 GA, MYSQL, ZK Framework -NL- Role : Developer -NL- Description : Dr. Kare is the flagship healthcare product from eCosmos. -NL- Designed with scalability and security in mind, Dr.Kare helps -NL- clinics to reduce inefficiencies while improving patient care -NL- standards. Dr.Kare includes a state-of-the-art EMR coupled with -NL- robust Practice Management modules, each with customizable -NL- workflows to suit the practice best. Built on a cloud backend, -NL- Dr.Kare is ideal for practices of any scale; and always -NL- accessible from anywhere. The whole complexity of hosting -NL- - 4 - -NL- **`ARIHANT JAIN`[NAME]** -NL- and maintaining the EMR is entirely taken care of, enabling -NL- your practice to focus on what it provides best. -NL- Dr. Kare’s easy-to-use interface allows the practitioners to -NL- create a SOAP Note in a seconds! The Subjective, Objective, -NL- Assessment and Plan sections are configurable as per the -NL- practice’s requirements and are designed to be easily -NL- navigable. Printing, Signing and Claim creation are built in as -NL- one-click operations. The past notes for a patient can also be -NL- easily accessed. -NL- Along with a great scheduler, Dr. Kare also provides an easy-to- -NL- use claim and payment management system. All insurance -NL- related workflows – from capturing patient insurance -NL- information, verification, creating claims and tracking -NL- insurance and patient payments really quickly during Dr. Kare. -NL- The PMS solution also supports specialized billing users who -NL- can manage the claim and payment cycles -NL- Responsibilities: -NL-  Coding of DAO layer using the SQL queries and operations. -NL-  Developing the Code as per the requirements. -NL-  Code business and Controller layer. -NL- **`Strengths`[SKILLS_HEADING]** -NL-  Team Work -NL-  Self motivated and a Quick Learner -NL-  Able to work under pressure -NL- Interests -NL-  Learning new technologies implemented in gadgets -NL-  Listening to music -NL-  Making Tag Line -NL- **`Personal Profile:`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 13-jan-1988 -NL- Father Name : Mr. K. Jain -NL- Marital status : Married -NL- Nationality : Indian -NL- - 5 - -NL- **`ARIHANT JAIN`[NAME]** -NL- Date: -NL- Arihant Jain -NL- Place: Bangalore -NL- - 6 - -NL- 